### Hierarchy

- OfferManager

### Implemented by

- OfferManagerImpl

## Index

### Methods

- deleteOffer
- getAllOffers
- getMyOffers
- saveOffer

## Methods

### deleteOffer

- deleteOffer(id: number): Promise<number>

- - Defined in manager/OfferManager.ts:11

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### getAllOffers

- getAllOffers(): Promise<Array<Offer>>

- - Defined in manager/OfferManager.ts:9

  #### Returns Promise<Array<Offer>>

### getMyOffers

- getMyOffers(id: number): Promise<Array<Offer>>

- - Defined in manager/OfferManager.ts:7

  #### Parameters

  - ##### id: number

  #### Returns Promise<Array<Offer>>

### saveOffer

- saveOffer(offer: Offer): Promise<Offer>

- - Defined in manager/OfferManager.ts:5

  #### Parameters

  - ##### offer: Offer

  #### Returns Promise<Offer>

Generated using TypeDoc